<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  version="2.0">
    <jsp:directive.page contentType="application/xhtml+xml"/>
    <jsp:output doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
		doctype-root-element="html"
		omit-xml-declaration="false"/>

    <html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	    <title>SpringDemo1</title>
	    <link href="styl.css" type="text/css" rel="StyleSheet"/>
	</head>
	<body>
	    <h1>SpringDemo1</h1>
	    <p>Spring JdbcTemplate</p>
	    <p>Vypíšeme seznam knih:</p>

	    <jsp:useBean id="demo" class="cz.frantovo.springDemo1.web.SpringDemo1Bean" scope="request"/>
	    <table>
		<thead>
		    <tr>
			<td>Název knihy</td>
			<td>Rok vydání</td>
			<td>Počet stran</td>
			<td>ISBN</td>
		    </tr>
		</thead>
		<tbody>
		    <c:forEach var="kniha" items="${demo.knihyJdbc}">
			<tr>
			    <td><c:out value="${kniha.nazev}"/></td>
			    <td><c:out value="${kniha.rokVydani}"/></td>
			    <td><c:out value="${kniha.pocetStran}"/></td>
			    <td><c:out value="${kniha.isbn}"/></td>
			</tr>
		    </c:forEach>
		</tbody>
	    </table>

	</body>
    </html>

</jsp:root>
